%global srcname xmpp
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.1.13
Release:    2%{?dist}
Summary:    Erlang/Elixir XMPP parsing and serialization library

License:    ASL 2.0
URL:        https://github.com/processone/xmpp/
Source0:    https://github.com/processone/xmpp/archive/%{version}/xmpp-%{version}.tar.gz
# https://github.com/processone/xmpp/pull/3
Patch0:     0001-Allow-fxml.hrl-to-be-found-from-system-libs.patch

BuildRequires: erlang-fast_xml >= 1.1.23
BuildRequires: erlang-p1_utils >= 1.0.9
BuildRequires: erlang-rebar
BuildRequires: erlang-stringprep >= 1.0.9

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
XMPP is an Erlang XMPP parsing and serialization library, built on top of Fast
XML.


%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p0


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc doc
%doc README.md
%{erlang_appdir}


%changelog
* Sun Oct 22 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.13-2
- Install the shared objects and depend on erlang_nif (#1505168).

* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.13-1
- Update to 1.1.13 (#1422712).
- https://github.com/processone/xmpp/blob/1.1.13/CHANGELOG.md

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 13 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.6-2
- Re-enable the tests. It turns out the failure was local to my build environment.

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.6-1
- Update to 1.1.6 (#1412107).
- https://github.com/processone/xmpp/blob/1.1.6/CHANGELOG.md
- Disable tests due to same issue as https://github.com/processone/fast_xml/issues/21

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 30 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.4-1
- Initial release (#1409326).
